File ITC-04 Job Work Return with DSC
POST
https://apisandbox.whitebooks.in/itc04/retfileUsed to File ITC04 invoices.
Parameters
query parameters
emailstringrequiredAPI Developer User Email
panstringrequiredPAN Number
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
m2j_chksumstringoptionalM2J Checksum
Example: "0f93729338a69d5dfe1d242eccab0bcb73a712907380434aad1927d664ce86dc"
table5A_chksumstringoptionalTable 5A Checksum
Example: "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945"
table5B_chksumstringoptionalTable 5B Checksum
Example: "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945"
table5B_nostringoptionalTable 5B Count
Example: "0"
table5C_chksumstringoptionalTable 5C Checksum
Example: "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945"
table5C_nostringoptionalTable 5C Count
Example: "0"
m2jNoOfChallanRecstringoptionalM2J Count
Example: "1"
table5A_nostringoptionalTable 5A Count
Example: "0"
m2j_ttl_taxstringoptionalM2J Total Tax
Example: "0.0"
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/itc04/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For File ITC04 data (POST
/itc04/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to File ITC04 invoices.
No example available.